<?php


/**
 * This class adds structure of 'node_i18n' table to 'propel' DatabaseMap object.
 *
 *
 *
 * These statically-built map classes are used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    plugins.catalyz.lib.model.map
 */
class NodeI18nMapBuilder {

	/**
	 * The (dot-path) name of this class
	 */
	const CLASS_NAME = 'plugins.catalyz.lib.model.map.NodeI18nMapBuilder';

	/**
	 * The database map.
	 */
	private $dbMap;

	/**
	 * Tells us if this DatabaseMapBuilder is built so that we
	 * don't have to re-build it every time.
	 *
	 * @return     boolean true if this DatabaseMapBuilder is built, false otherwise.
	 */
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	/**
	 * Gets the databasemap this map builder built.
	 *
	 * @return     the databasemap
	 */
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	/**
	 * The doBuild() method builds the DatabaseMap
	 *
	 * @return     void
	 * @throws     PropelException
	 */
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('node_i18n');
		$tMap->setPhpName('NodeI18n');

		$tMap->setUseIdGenerator(false);

		$tMap->addForeignPrimaryKey('ID', 'Id', 'int' , CreoleTypes::INTEGER, 'node', 'ID', true, null);

		$tMap->addPrimaryKey('CULTURE', 'Culture', 'string', CreoleTypes::VARCHAR, true, 7);

		$tMap->addColumn('URL_TYPE', 'UrlType', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('URL_IDENTIFIER', 'UrlIdentifier', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('TITLE', 'Title', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('SUB_TITLE', 'SubTitle', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('BROWSER_TITLE_TYPE', 'BrowserTitleType', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('BROWSER_TITLE_CONTENT', 'BrowserTitleContent', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('SEO_KEYWORDS_TYPE', 'SeoKeywordsType', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('SEO_KEYWORDS_CONTENT', 'SeoKeywordsContent', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('SEO_DESCRIPTION_TYPE', 'SeoDescriptionType', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('SEO_DESCRIPTION_CONTENT', 'SeoDescriptionContent', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('MENU_TITLE_TYPE', 'MenuTitleType', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('MENU_TITLE_CONTENT', 'MenuTitleContent', 'string', CreoleTypes::VARCHAR, false, 255);

	} // doBuild()

} // NodeI18nMapBuilder
